petsc-3.15.0 2021-03-30
Report Typos and Errors

# MatDenseRestoreSubMatrix

Returns access to a block of columns of a dense matrix obtained from MatDenseGetSubMatrix().

### Synopsis

    #include "petscmat.h"
    PetscErrorCode MatDenseRestoreSubMatrix(Mat A,Mat *v)

Collective

### Input Parameters

| mat | - the Mat object
| v | - the Mat object

### See Also

MATDENSE, MATDENSECUDA, MatDenseGetColumnVec(), MatDenseRestoreColumnVec(), MatDenseGetSubMatrix()

### Level

intermediate

### Location

src/mat/impls/dense/seq/dense.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages